Source: trivial-features
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://www.cliki.net/trivial-features
Vcs-Git: https://salsa.debian.org/common-lisp-team/trivial-features.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/trivial-features
Rules-Requires-Root: no

Package: cl-trivial-features
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cl-rt, cl-cffi, cl-alexandria
Description: abstraction layer for the *FEATURES* across Common Lisp implementations
 trivial-features ensures consistent *FEATURES* across multiple Common
 Lisp implementations.
 .
 For example, on MacOS X platforms, while most Lisps push `:DARWIN` to
 `*FEATURES*`, CLISP and Allegro push `:MACOS` and `:MACOSX` instead,
 respectively.  Some Lisps might not push any feature suggesting MacOS
 X at all.  trivial-features will make sure all Lisps will have
 `:DARWIN` in the `*FEATURES*` list when running on MacOS X.  This
 way, you can write
 .
    #+darwin foo #-darwin bar
 .
 instead of
 .
    #+(or darwin macos macosx) foo
    #-(or darwin macos macosx) bar
